Child pages
  • GitHub API Plugin
Skip to end of metadata
Go to start of metadata

Plugin Information

Plugin ID

github-api

Changes

In Latest Release
Since Latest Release

Latest Release
Latest Release Date
Required Core
Dependencies

1.90 (archives)
Nov 01, 2017
1.615
jackson2-api (version:2.7.3)

Source Code
Issue Tracking
Pull Requests
Maintainer(s)

GitHub
Open Issues
Pull Requests
n/a (id: stephenc)

Usage

Installations

2016-Nov 62747
2016-Dec 64501
2017-Jan 72461
2017-Feb 73150
2017-Mar 81505
2017-Apr 81342
2017-May 87982
2017-Jun 89472
2017-Jul 91386
2017-Aug 95502
2017-Sep 96748
2017-Oct 98284

This plugin is a library plugin used by other GitHub related plugins to share the same libraries. This plugin does not have any user visible feature by itself. There's no need to install this plugin manually, although you want to keep it up to date.

Note to plugin developers

If you are developing a plugin that depends on github-api, it's is highly recommended that you depend on this as opposed to bundle the jar locally. Doing so (as opposed to depending on org.kohsuke:github-api as a jar), we can eliminate the classloader problems caused by having multiple copies of github-api loaded. Specifically, if plugin A and B both locally includes its own copy of the github-api.jar and another plugin C depends on A and B, it'll break.

The version number of this plugin tracks the version number of github-api.jar.

Changelog

Version 1.90 (Nov 1, 2017)

  • JENKINS-47601 Issues with 64bit commit status id
  • JENKINS-47632 Github repo id overflowing java int
  • PR-389 Fixed OAuth connection to enterprise API
  • PR-390 Labels: add method to update color
  • Issue-355 Update GHPullRequest with missing properties

Version 1.89 (Sep 25th, 2017)

  • Remove necessary transitive dependencies
  • Update to 1.89 of org.kohsuke:github-api

Version 1.86 (Jul 3rd, 2017)

  • JENKINS-45142 Retry connections which fail with SocketTimeoutException.

Version 1.85.1 (May 31st, 2017)

Version 1.85 (Mar 1st, 2017)

  • Updated the github-api dependency from 1.84 to 1.85

Version 1.84 (Jan 10th, 2017)

  • Updated the github-api dependency from 1.82 to 1.84

Version 1.82 (Dec 20th, 2016)

  • Updated the github-api dependency from 1.80 to 1.82

Version 1.80 (Nov 17th, 2016)

  • Updated the github-api dependency from 1.79 to 1.80

Version 1.79 (Oct 26th, 2016)

  • Updated the github-api dependency from 1.77 to 1.79

Version 1.77 (Aug 10th, 2016)

  • Updated the github-api dependency from 1.75 to 1.77

Version 1.76 (Jul 1st, 2016)

Version 1.16 (Jan 4th, 2012)

  • Released
Write a comment…